Bug 18444 - Add TalkingTechItivaPhoneNotification to sysprefs.sql
Summary: Add TalkingTechItivaPhoneNotification to sysprefs.sql
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Lari Taskula
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 4246
Blocks: 18600
  Show dependency treegraph
 
Reported: 2017-04-18 12:20 UTC by Lari Taskula
Modified: 2017-12-07 22:20 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18444: Add TalkingTechItivaPhoneNotification to sysprefs.sql (1.32 KB, patch)
2017-04-18 12:25 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 18444: Add TalkingTechItivaPhoneNotification to sysprefs.sql (1.38 KB, patch)
2017-05-01 12:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18444: Add TalkingTechItivaPhoneNotification to sysprefs.sql (1.47 KB, patch)
2017-05-12 06:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2017-04-18 12:20:56 UTC
System preference TalkingTechItivaPhoneNotification is missing from sysprefs.sql.
Comment 1 Lari Taskula 2017-04-18 12:25:13 UTC
Created attachment 62273 [details] [review]
Bug 18444: Add TalkingTechItivaPhoneNotification to sysprefs.sql
Comment 2 Lari Taskula 2017-04-18 14:45:08 UTC
Created a test to spot all of these. Bug 18446
Comment 3 Katrin Fischer 2017-05-01 12:50:13 UTC
Created attachment 62917 [details] [review]
Bug 18444: Add TalkingTechItivaPhoneNotification to sysprefs.sql

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2017-05-01 12:55:29 UTC
I wonder if we should also have an atomicupdate checking if the preference already exists and adding it if not.
Comment 5 Marcel de Rooy 2017-05-12 06:01:11 UTC
Created attachment 63400 [details] [review]
Bug 18444: Add TalkingTechItivaPhoneNotification to sysprefs.sql

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Kyle M Hall 2017-05-12 12:58:30 UTC
Pushed to master for 17.05, thanks Lari!
Comment 7 Katrin Fischer 2017-05-14 10:01:05 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 8 Katrin Fischer 2017-05-14 12:13:51 UTC
This causes tests to fail on Jenkins:
https://jenkins.koha-community.org/job/Koha_16.11.x_D8/lastBuild/testReport/junit/(root)/t_db_dependent_check_sysprefs_t/Syspref_TalkingTechItivaPhoneNotification_exists_in_the_database__356_/

I think we should have a database update too, checking for its existence and inserting it in the database if it's not there already.
Comment 9 Julian Maurice 2017-05-22 10:53:48 UTC
Pushed to 3.22.x for 3.22.21
Comment 10 Mason James 2017-05-24 02:38:08 UTC
Pushed to 16.05.x, for 16.05.13 release